# Interface methods for submodule: MeshFileReader
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshSourceProxy as _MeshSourceProxy


# Interface methods for class: MeshFileReader
class MeshFileReaderProxy(_MeshSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def SetMeshIO(self, meshIO) -> None:
		""""""
		...

	def GetModifiableMeshIO(self):
		""""""
		...

	def GetMeshIO(self):
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def ReadPointData(self) -> None:
		""""""
		...

	def ReadCellData(self) -> None:
		""""""
		...

